Support Center

Upgrade Info (V4 -> V5)

Last Updated: Nov 28, 2017 12:51PM EST
Some things to note before upgrading.
  • RTAS (Pro Tools 9 and earlier) is no longer supported. Please confirm your DAW is a compatible host application.
  • TDM users must request continued access to legacy products no longer supported in Soundtoys 5.
  • Session recall from V4 is supported, but there are some things you may need to know. Please read this Support FAQ for details.
  • Traded license(s) are immediately revoked and replaced with the new versions; you must install version 5 to continue using your sessions. You won't lose anything unless the plug-in you are upgrading from is not included in Soundtoys 5.

If you are still unsure about upgrading, please try our free 30-day demo!